

class Point
{
    /**
     * @param {Number} x
     * @param {Number} y
     */
    constructor(x, y)
    {
        /**
         * @type {Number}
         */
        this.x = x;
        /**
         * @type {Number}
         */
        this.y = y;
    }

    from_json(data)
    {
        this.x = data.x
        this.y = data.y

        return this
    }
}

export { Point }